/* $RCSfile$ */
/* $Author$ */
/* $Date$ */
/* $Revision$ */


struct L1CrisHskp
{
   uint32 ClockCycle;
   uint32 Second1996;
   uint32 microsecond;
   uint16 CommandTableIndex;
   uint16 MonitorP5V;
   uint16 MonitorP6V;
   uint16 MonitorM6V;
   uint16 MonitorP7V;
   uint16 MonitorM7V;
   uint16 MonitorP12V;
   uint16 MonitorM12V;
   uint16 MonitorP13V;
   uint16 MonitorM13V;
   uint16 MonitorP15V;
   uint16 MonitorP19V;
   uint16 MonitorMcp1;
   uint16 MonitorMcp2;
   uint16 MonitorHvps1I;
   uint16 MonitorHvps2I;
   uint16 MonitorHvps3I;
   uint16 MonitorHvps4I;
   uint16 MonitorSoftPsaI;
   uint16 MonitorSoftPsbI;
   uint16 TemperatureMotherBoardElect;
   uint16 TemperatureMotherBoardDet;
   uint16 TemperatureMotherBoardC;
   uint16 TemperatureAnalogBoard;
   uint16 TemperaturePostRegBoard;
   uint16 TemperatureLogicBoard;
   uint16 TemperatureE12Elect;
   uint16 TemperatureE12Det;
   uint16 TemperatureE34Elect;
   uint16 TemperatureE34Det;
   uint16 TemperatureE56Elect;
   uint16 TemperatureE56Det;
   uint16 TemperatureE789Elect;
   uint16 TemperatureE789Det;
   uint16 TemperatureLvps;
   uint16 TemperatureHvps;
   uint16 TemperatureFiberPlaneTop0;
   uint16 TemperatureFiberPlaneTop1;
   uint16 TemperatureFiberPlaneMid;
   uint16 TemperatureFiberPlaneBot;
   uint16 TemperatureImageInt1Side;
   uint16 TemperatureImageInt1Rear;
   uint16 TemperatureCamera1Elect;
   uint16 TemperatureHvps1;
   uint16 TemperatureImageInt2Side;
   uint16 TemperatureImageInt2Rear;
   uint16 TemperatureCamera2Elect;
   uint16 TemperatureHvps2;
   uint16 PostDcE1a;
   uint16 PostDcE1b;
   uint16 PostDcE2ab;
   uint16 PostDcE3ab;
   uint16 PostDcE4ab;
   uint16 PostDcE5ab;
   uint16 PostDcE6ab;
   uint16 PostDcE7ab;
   uint16 PostDcE8ab;
   uint16 PostDcE9ab;
   uint16 PostDcG2ab;
   uint16 PostDcG3ab;
   uint16 PostDcG4ab;
   uint16 PostDcG5ab;
   uint16 PostDcG6ab;
   uint16 PostDcG7ab;
   uint16 PostDcE1c;
   uint16 PostDcE1d;
   uint16 PostDcE2cd;
   uint16 PostDcE3cd;
   uint16 PostDcE4cd;
   uint16 PostDcE5cd;
   uint16 PostDcE6cd;
   uint16 PostDcE7cd;
   uint16 PostDcE8cd;
   uint16 PostDcE9cd;
   uint16 PostDcG2cd;
   uint16 PostDcG3cd;
   uint16 PostDcG4cd;
   uint16 PostDcG5cd;
   uint16 PostDcG6cd;
   uint16 PostDcG7cd;
   uint8  DacG2ab;
   uint8  DacG3ab;
   uint8  DacG4ab;
   uint8  DacG5ab;
   uint8  DacG6ab;
   uint8  DacG7ab;
   uint8  DacE9ab;
   uint8  DacG2cd;
   uint8  DacG3cd;
   uint8  DacG4cd;
   uint8  DacG5cd;
   uint8  DacG6cd;
   uint8  DacG7cd;
   uint8  DacE9cd;
   uint8  HeaterCcdA;
   uint8  HeaterCcdB;
   uint8  HeaterCris;
   uint8  StatusTmSide;
   uint8  StatusRefresh;
   uint8  QualityCommandTableIndex;
   uint8  QualityMonitorP5V;
   uint8  QualityMonitorP6V;
   uint8  QualityMonitorM6V;
   uint8  QualityMonitorP7V;
   uint8  QualityMonitorM7V;
   uint8  QualityMonitorP12V;
   uint8  QualityMonitorM12V;
   uint8  QualityMonitorP13V;
   uint8  QualityMonitorM13V;
   uint8  QualityMonitorP15V;
   uint8  QualityMonitorP19V;
   uint8  QualityMonitorMcp1;
   uint8  QualityMonitorMcp2;
   uint8  QualityMonitorHvps1I;
   uint8  QualityMonitorHvps2I;
   uint8  QualityMonitorHvps3I;
   uint8  QualityMonitorHvps4I;
   uint8  QualityMonitorSoftPsaI;
   uint8  QualityMonitorSoftPsbI;
   uint8  QualityTemperatureMotherBoardElect;
   uint8  QualityTemperatureMotherBoardDet;
   uint8  QualityTemperatureMotherBoardC;
   uint8  QualityTemperatureAnalogBoard;
   uint8  QualityTemperaturePostRegBoard;
   uint8  QualityTemperatureLogicBoard;
   uint8  QualityTemperatureE12Elect;
   uint8  QualityTemperatureE12Det;
   uint8  QualityTemperatureE34Elect;
   uint8  QualityTemperatureE34Det;
   uint8  QualityTemperatureE56Elect;
   uint8  QualityTemperatureE56Det;
   uint8  QualityTemperatureE789Elect;
   uint8  QualityTemperatureE789Det;
   uint8  QualityTemperatureLvps;
   uint8  QualityTemperatureHvps;
   uint8  QualityTemperatureFiberPlaneTop0;
   uint8  QualityTemperatureFiberPlaneTop1;
   uint8  QualityTemperatureFiberPlaneMid;
   uint8  QualityTemperatureFiberPlaneBot;
   uint8  QualityTemperatureImageInt1Side;
   uint8  QualityTemperatureImageInt1Rear;
   uint8  QualityTemperatureCamera1Elect;
   uint8  QualityTemperatureHvps1;
   uint8  QualityTemperatureImageInt2Side;
   uint8  QualityTemperatureImageInt2Rear;
   uint8  QualityTemperatureCamera2Elect;
   uint8  QualityTemperatureHvps2;
   uint8  QualityPostDcE1a;
   uint8  QualityPostDcE1b;
   uint8  QualityPostDcE2ab;
   uint8  QualityPostDcE3ab;
   uint8  QualityPostDcE4ab;
   uint8  QualityPostDcE5ab;
   uint8  QualityPostDcE6ab;
   uint8  QualityPostDcE7ab;
   uint8  QualityPostDcE8ab;
   uint8  QualityPostDcE9ab;
   uint8  QualityPostDcG2ab;
   uint8  QualityPostDcG3ab;
   uint8  QualityPostDcG4ab;
   uint8  QualityPostDcG5ab;
   uint8  QualityPostDcG6ab;
   uint8  QualityPostDcG7ab;
   uint8  QualityPostDcE1c;
   uint8  QualityPostDcE1d;
   uint8  QualityPostDcE2cd;
   uint8  QualityPostDcE3cd;
   uint8  QualityPostDcE4cd;
   uint8  QualityPostDcE5cd;
   uint8  QualityPostDcE6cd;
   uint8  QualityPostDcE7cd;
   uint8  QualityPostDcE8cd;
   uint8  QualityPostDcE9cd;
   uint8  QualityPostDcG2cd;
   uint8  QualityPostDcG3cd;
   uint8  QualityPostDcG4cd;
   uint8  QualityPostDcG5cd;
   uint8  QualityPostDcG6cd;
   uint8  QualityPostDcG7cd;
   uint8  QualityDacG2ab;
   uint8  QualityDacG3ab;
   uint8  QualityDacG4ab;
   uint8  QualityDacG5ab;
   uint8  QualityDacG6ab;
   uint8  QualityDacG7ab;
   uint8  QualityDacE9ab;
   uint8  QualityDacG2cd;
   uint8  QualityDacG3cd;
   uint8  QualityDacG4cd;
   uint8  QualityDacG5cd;
   uint8  QualityDacG6cd;
   uint8  QualityDacG7cd;
   uint8  QualityDacE9cd;
   uint8  QualityHeaterCcdA;
   uint8  QualityHeaterCcdB;
   uint8  QualityHeaterCris;
   uint8  QualityStatusTmSide;
   uint8  QualityStatusRefresh;
};


/* Definition:                                                       */
/*    ClockCycle = S/C clock of the first minor frame of the cycle   */
/*                                                                   */
/* Note: Quality bits are defined in the table below.  If the field  */
/*       which the quality byte is trying to characterize contains   */
/*       multiple bytes, the quality byte associated with the field  */
/*       is the logical "or" of the individual quality bytes.        */
/*                                                                   */
/* Quality bits:                                                     */
/*    0x01 = Format ID error                                         */
/*    0x02 = Minor/major counter error                               */
/*    0x04 = S/C clock error                                         */
/*    0x08 = Sync bit error                                          */
/*    0x10 = Command table index error                               */
/*    0x20 = Cycle number error                                      */
/*    0x40 = Level 0 quality bit                                     */
/*    0x80 = Level 1 quality bit                                     */
